Hex (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class Hex

    java.lang.Object
      org.apache.cassandra.utils.Hex

    public class Hex

extends java.lang.Object

Constructor Summary
`Hex()`

Method Summary
`static java.lang.String` | `bytesToHex(byte... bytes)`
`static java.lang.reflect.Constructor` | `getProtectedConstructor(java.lang.Class klass, java.lang.Class... paramTypes)` Used to get access to protected/private constructor of the specified class
`static byte[]` | `hexToBytes(java.lang.String str)`
`static java.lang.String` | `wrapCharArray(char[] c)` Create a String from a char array with zero-copy (if available), using reflection to access a package-protected constructor of String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hex

    public Hex()

Method Detail

### hexToBytes

    public static byte[] hexToBytes(java.lang.String str)

### bytesToHex

    public static java.lang.String bytesToHex(byte... bytes)

### wrapCharArray

    public static java.lang.String wrapCharArray(char[] c)

  Create a String from a char array with zero-copy (if available), using reflection to access a package-protected constructor of String.

### getProtectedConstructor

    public static java.lang.reflect.Constructor getProtectedConstructor(java.lang.Class klass,
                                                                        java.lang.Class... paramTypes)

  Used to get access to protected/private constructor of the specified class

  Parameters:
    `klass` - - name of the class
    `paramTypes` - - types of the constructor parameters
  Returns:
    Constructor if successful, null if the constructor cannot be accessed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation